/*
 *
 *   (C) Copyright IBM Corp. 2001, 2003
 *
 *   This program is free software;  you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY;  without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See
 *   the GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program;  if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 *   Module: libbsd.so
 *
 *   File: discovery.h
 */

#ifndef _DISCOVERY_HEADER_
#define _DISCOVERY_HEADER_ 1


/*
 *  Discovery Parm Block
 */
typedef struct segment_discovery_parms_s {

     dlist_t                       output_objects;         /* move all objects here                        */

     int                          *object_count;           /* total objects discovered                     */

} discovery_parm_block_t;


int                     discover_bsd_segments( void *       Object,
                                               TAG          ObjectTag,
                                               void *       ObjectHandle,
                                               void *       Parameters );

bsd_disklabel_t *       get_bsd_disk_label( LOGICALDISK *ld );

#endif

